build: replace glib requirement with glib-utils

This commit is contained in:
osy 2022-07-30 22:10:34 -07:00
parent fe2c95db20
commit cb24289933
4 changed files with 4 additions and 4 deletions

View File

@ -60,7 +60,7 @@ jobs:
if: steps.cache-sysroot.outputs.cache-hit != 'true'
run: |
brew uninstall cmake
brew install bison pkg-config nasm make meson glib python3
brew install bison pkg-config nasm make meson glib-utils python3
brew unlink python && brew link python@3.10
pip3 install six pyparsing
rm -f /usr/local/lib/pkgconfig/*.pc

View File

@ -21,7 +21,7 @@ If you want to build the dependencies yourself, it is highly recommended that yo
1. Install Xcode command line and [Homebrew][1]
2. Install the following build prerequisites
`brew install bison pkg-config gettext glib libgpg-error nasm make meson`
`brew install bison pkg-config gettext glib-utils libgpg-error nasm make meson`
Make sure to add `bison` and `gettext` to your `$PATH` environment variable!
`export PATH=/usr/local/opt/bison/bin:/usr/local/opt/gettext/bin:$PATH`
3. Run `./scripts/build_dependencies.sh -p macos -a ARCH` where `ARCH` is either `arm64` or `x86_64`.

View File

@ -28,7 +28,7 @@ If you want to build the dependencies yourself, it is highly recommended that yo
1. Install Xcode command line and [Homebrew][1]
2. Install the following build prerequisites
`brew install bison pkg-config gettext glib libgpg-error nasm make meson`
`brew install bison pkg-config gettext glib-utils libgpg-error nasm make meson`
Make sure to add `bison` and `gettext` to your `$PATH` environment variable!
`export PATH=/usr/local/opt/bison/bin:/usr/local/opt/gettext/bin:$PATH`
3. Run `./scripts/build_dependencies.sh -p PLATFORM -a ARCHITECTURE` where `ARCHITECTURE` is the last part of the table above (e.g. `x86_64`) and `PLATFORM` is the first part (e.g. `ios_simulator-tci`).

View File

@ -64,7 +64,7 @@ check_env () {
command -v gmake >/dev/null 2>&1 || { echo >&2 "${RED}You must install GNU make on your host machine (and link it to 'gmake').${NC}"; exit 1; }
command -v meson >/dev/null 2>&1 || { echo >&2 "${RED}You must install 'meson' on your host machine.${NC}"; exit 1; }
command -v msgfmt >/dev/null 2>&1 || { echo >&2 "${RED}You must install 'gettext' on your host machine.\n\t'msgfmt' needs to be in your \$PATH as well.${NC}"; exit 1; }
command -v glib-mkenums >/dev/null 2>&1 || { echo >&2 "${RED}You must install 'glib' on your host machine.\n\t'glib-mkenums' needs to be in your \$PATH as well.${NC}"; exit 1; }
command -v glib-mkenums >/dev/null 2>&1 || { echo >&2 "${RED}You must install 'glib-utils' on your host machine.\n\t'glib-mkenums' needs to be in your \$PATH as well.${NC}"; exit 1; }
command -v gpg-error-config >/dev/null 2>&1 || { echo >&2 "${RED}You must install 'libgpg-error' on your host machine.\n\t'gpg-error-config' needs to be in your \$PATH as well.${NC}"; exit 1; }
command -v xcrun >/dev/null 2>&1 || { echo >&2 "${RED}'xcrun' is not found. Make sure you are running on OSX."; exit 1; }
command -v otool >/dev/null 2>&1 || { echo >&2 "${RED}'otool' is not found. Make sure you are running on OSX."; exit 1; }